%define _unpackaged_files_terminate_build 1

Name: adt
Version: 0.1.10
Release: alt1

Summary: ALT Diagnostic tool
License: GPLv2+
Group: Other
Url: https://gitlab.basealt.space/alt/adt

Provides: alterator-application-diagnostic-tool

BuildRequires: cmake
BuildRequires: rpm-macros-cmake
BuildRequires: cmake-modules
BuildRequires: gcc-c++
BuildRequires: qt6-base-devel
BuildRequires: qt6-declarative-devel
BuildRequires: qt6-tools-devel
BuildRequires: qt6-base-common
BuildRequires: boost-devel-headers
BuildRequires: libtomlplusplus-devel
BuildRequires: doxygen

BuildRequires: desktop-file-utils ImageMagick-tools

Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14
Requires: alterator-interface-diag >= 0.1.4
Requires: libtomlplusplus
Requires: icon-theme-adwaita-legacy

Source0: %name-%version.tar

%description
ADT (Alt Diagnostic Tool) is a utility for diagnosing software problems using the alterator-interface-diag1 interface.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
mkdir -p %buildroot%_datadir/alterator/applications
install -v -p -m 644 -D setup/adt.application %buildroot%_datadir/alterator/applications
install -p -D man/en/%name.man %buildroot%_mandir/man1/%name.1
install -p -D man/ru/%name.man %buildroot%_mandir/ru/man1/%name.1
%find_lang --with-man %name

%files -f %name.lang
%doc README.md
%doc INSTALL.md

%_bindir/adt
%_desktopdir/adt.desktop
%_datadir/alterator/applications/adt.application
%_iconsdir/hicolor/scalable/apps/adt.svg
%_datadir/alterator/backends/adt.backend
%_man1dir/%name.1*

%changelog
