%define _unpackaged_files_terminate_build 1

Name: alt-components-base
Version: 0.7.11
Release: alt1

Summary: Base set of ALT Distributions components
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alt-components-base

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires: cmark
BuildRequires: alterator-entry >= 0.4.0
BuildRequires(pre): rpm-macros-alterator

Provides: alterator-components-base = 0.1.5
Obsoletes: alterator-components-base < 0.2.0

%description
%summary.

%package -n alt-editions-server
Summary: Editions of BaseALT distribution ALT Server
Group: System/Configuration/Other

Requires: alt-components-base = %version-%release

%description -n alt-editions-server
%summary.

%package -n alt-components-vendors
Summary: Vendors set of ALT Distributions components
Group: System/Configuration/Other

Requires: alt-components-base = %version-%release

%description -n alt-components-vendors
%summary.

%prep
%setup

%build
for d in components/*/ ; do
    find "$d" -type f -name "description*.md" -print0 | while IFS= read -r -d '' file; do
        cmark "$file" > "${file/%%md/html}"
    done
done

%install
# install Components
mkdir -p "%buildroot%_alterator_datadir/components/categories"

rm -f install.base_components.list install.vendors_components.list vendors_categories.list
touch install.base_components.list install.vendors_components.list vendors_categories.list

for d in categories/* ; do
    d="$(basename "$d")"
    f="categories/$d"
    c="$(alterator-entry get "$f" category ||:)"

    install -v -p -m 644 -D "$f" "%buildroot%_alterator_datadir/components/categories"
    if [ "$c" != "vendors" ]; then
        echo "%_alterator_datadir/components/categories/$d" >>install.base_components.list
    else
        echo "%_alterator_datadir/components/categories/$d" >>install.vendors_components.list
        echo "$(alterator-entry get "$f" name)" >>vendors_categories.list
    fi
done

for d in components/*/ ; do
    d="$(basename "$d")"
    f="components/$d/$d.component"
    c="$(alterator-entry get "$f" category)"

    mkdir -p "%buildroot%_alterator_datadir/components/$d"
    install -v -p -m 644 -D "$f" "%buildroot%_alterator_datadir/components/$d"

    find "components/$d" -name '*.png' -type f | while read -r file; do
        install -v -p -m 664 -D "$file" "%buildroot%_alterator_datadir/components/$d"
    done

    find "components/$d" -type f -name "description*.html" -print0 | while IFS= read -r -d '' file; do
        install -v -p -m 644 -D "$file" "%buildroot%_alterator_datadir/components/$d"
    done

    if grep -q "^$c$" vendors_categories.list; then
        echo "%_alterator_datadir/components/$d" >>install.vendors_components.list
    else
        echo "%_alterator_datadir/components/$d" >>install.base_components.list
    fi
done

# install Editions
mkdir -p "%buildroot%_alterator_datadir/editions"

for d in editions/*/ ; do
    find "$d" -type f -name "description*.md" -print0 | while IFS= read -r -d '' file; do
        cmark "$file" > "${file/%%md/html}"
    done
done

for edition_dir in editions/*/; do
    edition="$(basename "$edition_dir")"

    mkdir -p "%buildroot%_alterator_datadir/editions/$edition"

    install -v -p -m 644 -D "$edition_dir/$edition.edition" "%buildroot%_alterator_datadir/editions/$edition"

    find "$edition_dir" -type f -name "description*.html" -print0 | while IFS= read -r -d '' file; do
        install -v -p -m 644 -D "$file" "%buildroot%_alterator_datadir/editions/$edition"
    done
done

%check
# check Components
./scripts/validate_categories.py

# check Editions
for e in `find ./editions -name '*.edition' -type f`; do
    alterator-entry validate "$e"
    (alterator-entry get "$e" sections.base.components &&
           alterator-entry get "$e" sections.main.components) 2>/dev/null |
    while read c; do
        if ! test -f "components/$c/$c.component"; then
            echo "failed to locate component $c in edition $e"
            exit 1
        fi
    done
done

%files -f install.base_components.list
%dir %_alterator_datadir/components
%dir %_alterator_datadir/components/categories

%files -n alt-components-vendors -f install.vendors_components.list

%files -n alt-editions-server
%dir %_alterator_datadir/editions
%_alterator_datadir/editions/edition_server
%_alterator_datadir/editions/edition_domain

%changelog
