Summary: Simple FastCGI wrapper for CGI scripts
Name: fcgiwrap
Version: 1.1.0
Release: alt6
License: MIT
Group: System/Servers
URL: https://github.com/gnosek/fcgiwrap
VCS: https://github.com/gnosek/fcgiwrap
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

# Automatically added by buildreq on Tue Oct 19 2010
BuildRequires: libfcgi-devel
BuildRequires: libsystemd-devel

%description
fcgiwrap  is a simple server for running CGI applications over FastCGI.
It hopes to provide clean CGI support to Nginx (and other  web  servers
that may need it).


%prep
%setup -q
%patch0 -p1


%build
autoreconf -fisv
%configure --with-systemd --with-systemdsystemunitdir=%_unitdir 
%make

%install
%makeinstall_std

mkdir -p %buildroot%_sysconfdir/sysconfig

cat > %buildroot%_sysconfdir/sysconfig/fcgiwrap<< EOF
# fcgiwrap configuration parameters
# Specify the number of fcgiwrap processes to prefork
DAEMON_PROCS=1
# Specify additional daemon options. See man fcgiwrap.
DAEMON_OPTS=-f
EOF

%pre
%_sbindir/groupadd -r -f _webserver ||:
%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -n _fcgiwrap \
        2> /dev/null > /dev/null ||:

%files
%_sysconfdir/sysconfig/fcgiwrap
%_sbindir/fcgiwrap
%_unitdir/*
%_man8dir/*

%changelog
