%define        _unpackaged_files_terminate_build 1
%define        gemname racc

Name:          gem-racc
Epoch:         1
Version:       1.7.3
Release:       alt2
Summary:       Ruby LALR(1) parser generator
License:       Ruby or BSD-2-Clause
Group:         Development/Ruby
Url:           http://i.loveruby.net/en/projects/racc/
Vcs:           https://github.com/tenderlove/racc.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
Source1:       %gemname.alternatives.erb
BuildRequires(pre): rpm-build-ruby
%if_with check
BuildRequires: gem(rake) >= 13.0.1
BuildRequires: gem(rake-compiler) >= 1.1.2
BuildRequires: gem(test-unit) >= 3.3.5
BuildRequires: gem(test-unit-ruby-core) >= 1.0.5
BuildConflicts: gem(rake) >= 14
BuildConflicts: gem(rake-compiler) >= 2
BuildConflicts: gem(test-unit) >= 4
BuildConflicts: gem(test-unit-ruby-core) >= 2
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rake >= 13.0.1,rake < 14
%ruby_use_gem_dependency test-unit >= 3.3.5,test-unit < 4
%ruby_use_gem_dependency rake-compiler >= 1.1.2,rake-compiler < 2
%ruby_use_gem_dependency test-unit-ruby-core >= 1.0.5,test-unit-ruby-core < 2
Requires:      racc = %EVR
Obsoletes:     ruby-racc < %EVR
Provides:      ruby-racc = %EVR
Provides:      gem(racc) = 1.7.3

%ruby_on_build_rake_tasks compile

%description
Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.


%package       -n racc
Version:       1.7.3
Release:       alt2
Summary:       Ruby LALR(1) parser generator executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета racc
Group:         Development/Other
BuildArch:     noarch

Requires:      gem(racc) = 1.7.3
Requires(pre): alternatives >= 0:0.2.0-alt0.12

%description   -n racc
Ruby LALR(1) parser generator executable(s).

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n racc -l ru_RU.UTF-8
Исполнямка для самоцвета racc.


%package       -n gem-racc-doc
Version:       1.7.3
Release:       alt2
Summary:       Ruby LALR(1) parser generator documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета racc
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(racc) = 1.7.3

%description   -n gem-racc-doc
Ruby LALR(1) parser generator documentation files.

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n gem-racc-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета racc.


%package       -n gem-racc-devel
Version:       1.7.3
Release:       alt2
Summary:       Ruby LALR(1) parser generator development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета racc
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(racc) = 1.7.3
Requires:      gem(rake) >= 13.0.1
Requires:      gem(rake-compiler) >= 1.1.2
Requires:      gem(test-unit) >= 3.3.5
Requires:      gem(test-unit-ruby-core) >= 1.0.5
Conflicts:     gem(rake) >= 14
Conflicts:     gem(rake-compiler) >= 2
Conflicts:     gem(test-unit) >= 4
Conflicts:     gem(test-unit-ruby-core) >= 2

%description   -n gem-racc-devel
Ruby LALR(1) parser generator development package.

Racc is an LALR(1) parser generator. It is written in ruby itself, and generates
ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module. You can run your parsers
generated by racc 1.4.x out of the box.

%description   -n gem-racc-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета racc.


%prep
%setup

%build
%ruby_build

%install
%ruby_install
mkdir -p %buildroot%_altdir/
ruby -rerb -e 'File.open("%buildroot%_altdir/%gemname", "w") { |f| f.puts ERB.new(IO.read("%SOURCE1")).result }'
rm %buildroot%_bindir/%gemname

%check
%ruby_test

%files
%doc README.ja.rdoc README.rdoc
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n racc
%doc README.ja.rdoc README.rdoc
%_altdir/%gemname

%files         -n gem-racc-doc
%doc README.ja.rdoc README.rdoc
%ruby_gemdocdir

%files         -n gem-racc-devel
%doc README.ja.rdoc README.rdoc


%changelog
