%def_enable check

Name: git-cola
Version: 4.7.1
Release: alt1

Summary: A highly caffeinated git gui
License: GPL-2.0-or-later
Group: Development/Tools

Url: https://git-cola.github.io
# https://github.com/git-cola/git-cola.git
Source: %name-%version.tar
Patch: git-cola-4.5.0-alt-tox-v3.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
%if_enabled check
BuildRequires(pre): python3-module-pytest python3-module-tox-pip-version python3-module-qtpy python3-module-PyQt5 python3-module-GitPython python3-module-polib
%endif
BuildRequires: python3-module-sphinx-devel python3-module-setuptools python3-module-wheel
# hasher tests:
Requires: python3-module-pyinotify python3-module-PyQt5 git-core

%description
A sweet, carbonated git gui known for its sugary flavour
and caffeine-inspired features.

%prep
%setup
%if "%(get_version python3-module-tox)" < "4"
%patch -p1
%endif
%prepare_sphinx3 share/doc/%name
sed -i '/Git Cola version/s/%%(cola_version)s/%{version}/' \
    cola/widgets/about.py
# Not needed with virtualenv.
sed -i '/tox-venv/d' tox.ini
sed -i 's/ --flake8//' pytest.ini

%build
%pyproject_build

%install
%pyproject_install
%find_lang %name
# because executable script is not executable
chmod +x %buildroot%python3_sitelibdir/cola/widgets/spellcheck.py
chmod +x %buildroot%python3_sitelibdir/cola/bin/ssh-askpass
chmod +x %buildroot%python3_sitelibdir/cola/bin/ssh-askpass-darwin

%if_enabled check
%check
%tox_check_pyproject
%endif

%files -f %name.lang
%doc COPYING COPYRIGHT README.md
%_bindir/*
%_desktopdir/*.desktop
%_docdir/git-cola
%_iconsdir/hicolor/scalable/apps/git-cola.svg
%_datadir/metainfo/git-*.appdata.xml
%python3_sitelibdir/*

%changelog
