%define rname kamoso

Name:    %rname
Version: 24.12.3
Release: alt1

Group:   Video
Summary: Application for taking pictures and videos from a webcam
URL:     https://userbase.kde.org/Kamoso
License: GPL-2.0+
%K5init no_altplace

Requires: kde5-runtime
Requires: libkf5quickaddons
Requires: kf5-purpose
Requires: kf5-kirigami

# Download from http://download.kde.org/stable/release-service/$version/src/kamoso-$version.tar.xz
Source0: %rname-%version.tar
Source1: %rname.watch

BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules
BuildRequires: gettext-tools
BuildRequires: qt5-declarative-devel
BuildRequires: qt5-graphicaleffects
BuildRequires: kf5-kauth-devel
BuildRequires: kf5-kbookmarks-devel
BuildRequires: kf5-kcodecs-devel
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdeclarative-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kirigami-devel
BuildRequires: kf5-kitemviews-devel
BuildRequires: kf5-kjobwidgets-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-kpackage-devel
BuildRequires: kf5-kservice-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-purpose-devel
BuildRequires: kf5-solid-devel
BuildRequires: libkf5quickaddons
BuildRequires: kf5-kdoctools-devel-static
BuildRequires: kf5-kdoctools
BuildRequires: libudev-devel
BuildRequires: gstreamer1.0-devel
BuildRequires: gst-plugins1.0-devel
BuildRequires: qt5-quickcontrols
BuildRequires: qt5-quickcontrols2-devel

%description
Kamoso is an application to take pictures and videos out of your webcam.

%prep
%setup -n %rname-%version

%build
%add_optflags -I%_libdir/gstreamer-1.0/include
%K5build

%install
%K5install
%find_lang %name --all

%files -f %name.lang
%doc AUTHORS
%_K5bin/%name
%_K5icon/hicolor/*/*/*.*
%_K5xdgapp/*%name.desktop
%_datadir/metainfo/org.kde.kamoso.appdata.xml
%doc %_K5doc/*/%name
#_datadir/sounds/kamoso-shutter.wav
%_libdir/gstreamer-1.0/gstkamosoqt5videosink.so
%_K5notif/%name.notifyrc

%changelog
