Name: krusader
Version: 2.9.0
Release: alt1

Summary: Advanced KDE twin-panel file-manager
License: GPLv3+
Group: File tools

Url: http://%name.org/
Packager: Nazarov Denis <nenderus@altlinux.org>

# https://download.kde.org/stable/%name/%version/%name-%version.tar.xz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf5
BuildRequires(pre): rpm-build-kf6

BuildRequires: extra-cmake-modules
BuildRequires: kf6-kdoctools-devel
BuildRequires: kf6-kiconthemes-devel
BuildRequires: kf6-kio-devel
BuildRequires: kf6-knotifications-devel
BuildRequires: kf6-kparts-devel
BuildRequires: kf6-kstatusnotifieritem-devel
BuildRequires: kf6-ktextwidgets-devel
BuildRequires: kf6-kwallet-devel
BuildRequires: libcups-devel
BuildRequires: qt6-5compat-devel
BuildRequires: qt6-declarative-devel
BuildRequires: zlib-devel

Provides: kde5-%name = %EVR
Obsoletes: kde5-%name <= 2.8.0-alt1

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, silar to Midnight
or Total Commander. It provides all the file management features
you could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

It is (almost) completely customizable, very user friendly,
fast and looks great on your desktop! You should give it a try.

This piece of software is developed by the Krusader Krew,
published under the GNU General Public Licence
(http://www.gnu.org/copyleft/gpl.html).

%prep
%setup

%build
%add_optflags -fpermissive
%K6build

%install
%K6install

%find_lang %name --with-kde

%files -f %name.lang
%doc README AUTHORS ChangeLog TODO INSTALL CREDITS
%_K6bin/%name
%_K6xdgapp/*.desktop
%_datadir/%name
%_K6xdgconf/kio_isorc
%_K6icon/*/*/apps/*.png
%_K6plug/kf6/kio/kio_*.so
%_K5xmlgui/%name
%_K6doc/*/%name
%_datadir/metainfo/org.kde.%name.appdata.xml

%changelog
