%define _unpackaged_files_terminate_build 1
# we need a font
BuildRequires: fonts-ttf-liberation
%define dist Padre
Name: perl-Padre
Version: 1.02
Release: alt2


Summary: Padre - Perl Application Development and Refactoring Environment
License: Perl
Group: Development/Perl

Url: %CPAN %dist
VCS: git+https://github.com/PadreIDE/Padre.git
Source: %name-%version.tar
Patch: perl-Padre-1.02-perl5.38-no-given-when.patch

%add_findreq_skiplist */Padre/Wx/About.pm
%add_findreq_skiplist */Padre/Wx/FunctionList.pm
%add_findreq_skiplist */auto/share/dist/Padre/*

BuildArch: noarch
BuildRequires: perl-Parse-Functions perl-unicore perl-HTML-Parser perl-pod perl-Text-FindIndent perl-List-MoreUtils perl-Test-NoWarnings perl-File-HomeDir perl-Test-Script perl-Parse-ErrorString-Perl perl-YAML-Tiny perl-threads perl-Class-Adapter perl-Wx perl-Class-Unload perl-Pod-POM perl-File-Find-Rule perldoc perl-Class-XSAccessor perl-PPI perl-File-Remove perl-Probe-Perl perl-Devel-Refactor perl-devel perl-Encode perl-Parse-ExuberantCTags perl-Debug-Client perl-Text-Balanced perl-Format-Human-Bytes perl-ack perl-File-Copy-Recursive perl-Pod-Abstract perl-ORLite perl-Term-ReadLine-Gnu perl-Module-Refresh perl-Test-Exception perl-Pod-Simple perl-File-ShareDir perl-IO-String perl-Module-Starter perl-Module-CoreList perl-Params-Util perl-Devel-Dumpvar perl-DBD-SQLite perl-File-Next perl-Text-Diff perl-File-Which perl-IO-stringy perl-Wx-Perl-ProcessStream perl-Template-Tiny perl-DBI perl-Capture-Tiny perl-URI perl-PPIx-EditorTools perl-Locale-Msgfmt perl-Alien-wxWidgets perl-App-cpanminus perl-Readonly-XS perl-PPIx-Regexp perl-JSON-XS perl-Test-MockObject perl-IPC-Run perl-Module-Manifest perl-POD2-Base perl-File-Slurp perl-Wx-Scintilla perl-ORLite-Migrate perl-App-cpanminus perl-CGI perl-Test-Warn perl-Text-Patch perl(HTTP/Cookies.pm)
BuildRequires: xvfb-run /usr/bin/convert

Requires: perl-unicore perl-POD2-Base
Provides: padre = %EVR

%description
%summary

%prep
%setup -q
%patch -p1

%build
xvfb-run -a perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
make

%check
xvfb-run -a make test

%install
%perl_vendor_install
mkdir -p %buildroot{%_miconsdir,%_niconsdir,%_liconsdir,%_desktopdir}
convert %buildroot%perl_vendor_privlib/auto/share/dist/Padre/icons/padre/64x64/logo.png \
    -scale 48x48 %buildroot%_liconsdir/padre.png
convert %buildroot%perl_vendor_privlib/auto/share/dist/Padre/icons/padre/64x64/logo.png \
    -scale 32x32 %buildroot%_niconsdir/padre.png
convert %buildroot%perl_vendor_privlib/auto/share/dist/Padre/icons/padre/64x64/logo.png \
    -scale 16x16 %buildroot%_miconsdir/padre.png

cat << EOF > %buildroot%_desktopdir/padre.desktop
[Desktop Entry]
Type=Application
Name=Padre
Comment=Perl Application Development and Refactoring Environment
Icon=padre
Exec=/usr/bin/padre
Categories=Development;IDE;TextTools;
EOF

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc README.md Build_locallib_debian_ubuntu14.10.md Build_perlbrew_debian_ubuntu14.10.md Changes PACKAGING.md LICENSE COPYING Artistic
%_bindir/padre
%_miconsdir/padre.png
%_niconsdir/padre.png
%_liconsdir/padre.png
%_desktopdir/padre.desktop
%perl_vendor_privlib/Padre*
%perl_vendor_privlib/auto/share/dist/Padre
%doc Changes README* Artistic

%changelog
