Name: phpMyAdmin
Version: 5.2.2
Release: alt2

Summary: phpMyAdmin - web-based MySQL administration

License: GPLv2
Group: System/Servers
Url: http://www.phpmyadmin.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: https://files.phpmyadmin.net/phpMyAdmin/%version/phpMyAdmin-%version-all-languages.tar
Source3: %name.htaccess
Source6: %name.A.conf
Source8: %name-apache2.control

Provides: phpmyadmin
Obsoletes: %name-common

BuildArch: noarch

Requires: pwgen webserver-common control
Requires: apache2-base >= 2.4

BuildRequires(pre): rpm-build-php >= 8.4
BuildRequires(pre): rpm-build-apache2 rpm-macros-webserver-common

BuildRequires: apache2-base >= 2.4
BuildRequires: control

AutoReq:yes,noshell,nomingw32,nopython

%define defphp php%php_defver

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
  - create and drop databases
  - create, copy, drop and alter tables
  - delete, edit and add fields
  - execute any SQL-statement, even batch-queries
  - manage keys on fields
  - load text files into tables
  - create (*) and read dumps of tables
  - export (*) and import data to CSV values
  - administer multiple servers and single databases
  - communicate in more than 20 different languages


%package apache2-%defphp
Summary: phpMyAdmin - web-based MySQL administration (for apache 2.4 and %defphp)
Group: System/Servers
Requires: %name = %EVR
Requires: apache2-mod_%defphp
Requires: apache2-base

# from composer.json
Requires: %defphp-mysqlnd-mysqli
Requires: %defphp-openssl
Requires: %defphp-curl
Requires: %defphp-opcache
#Requires: %defphp-zlib
Requires: %defphp-bz2
Requires: %defphp-zip
Requires: %defphp-gd2
Requires: %defphp-mbstring
Requires: %defphp-mcrypt

Conflicts: %name-apache2

%description apache2-%defphp
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
  - create and drop databases
  - create, copy, drop and alter tables
  - delete, edit and add fields
  - execute any SQL-statement, even batch-queries
  - manage keys on fields
  - load text files into tables
  - create (*) and read dumps of tables
  - export (*) and import data to CSV values
  - administer multiple servers and single databases
  - communicate in more than 20 different languages

Install this package if you need phpMyAdmin for apache 2.4 and %defphp.

%prep
%setup

%install
mkdir -p %buildroot%webserver_webappsdir

cp config.sample.inc.php config.inc.php
# see https://bugzilla.altlinux.org/show_bug.cgi?id=37954
echo "\$cfg['TempDir'] = '/tmp';" >> config.inc.php

cp -r ../%name-%version %buildroot%webserver_webappsdir/%name

# remove unneeded
rm -rf %buildroot%webserver_webappsdir/%name/test/
rm -rf %buildroot%webserver_webappsdir/%name/doc/{_ext,doctrees,Makefile,make.bat,conf.py,*.rst}
rm -f %buildroot%webserver_webappsdir/%name/{.coveralls.yml,.editorconfig,.eslintignore,.eslintrc.json}

cp -a %SOURCE3 %buildroot%webserver_webappsdir/%name/.htaccess

%__mkdir_p %buildroot%apache2_extra_available
%__mkdir_p %buildroot%apache2_extra_enabled
cp %SOURCE6 %buildroot%apache2_extra_available/%name.conf
%__subst 's|--dir--|%webserver_webappsdir/%name|g' %buildroot%apache2_extra_available/%name.conf
ln -s %apache2_extra_available/%name.conf %buildroot%apache2_extra_enabled/%name.conf

#make control modules
#__mkdir_p %buildroot%_controldir
#cp %SOURCE8 %buildroot%_controldir/%name-apache2
#__subst 's|--dir--|%apache2_extra_available|g' %buildroot%_controldir/%name-apache2

%post
if grep -q "blowfish_secret'\] = ''" %webserver_webappsdir/%name/config.inc.php ; then
    echo "Generating new blowfish secret to %webserver_webappsdir/%name/config.inc.php"
    %__subst "s|\(blowfish_secret'\] = \)''|\1'$(pwgen -0s1 32)'|" %webserver_webappsdir/%name/config.inc.php
fi
#pre apache2
#pre_control %name-apache2

#post apache2
#post_control -s restricted %name-apache2

%files
%doc README* ChangeLog
%dir %webserver_webappsdir/%name/
%webserver_webappsdir/%name/*
%webserver_webappsdir/%name/.rtlcssrc.json
%config(noreplace) %webserver_webappsdir/%name/.htaccess
# yes, will notify about duplicate file
%attr(640,root,%webserver_group) %config(noreplace) %webserver_webappsdir/%name/config.inc.php
%exclude %webserver_webappsdir/%name/setup

%files apache2-%defphp
%config(noreplace) %apache2_extra_available/%name.conf
%apache2_extra_enabled/%name.conf
#attr(755,root,root) %_controldir/%name-apache2


%changelog
