%define postgrey_user postgrey
%define postgrey_group postgrey
%define postgrey_home %_spooldir/postfix/postgrey

Name: postgrey
Version: 1.37
Release: alt2

Summary: Greylisting Policy Server for Postfix and Exim
License: GPL
Group: System/Servers

URL: http://postgrey.schweikert.ch
# Download from http://postgrey.schweikert.ch/pub/
BuildArch: noarch
Source0: %name-%version.tar
Source1: %name.init
Source2: %name.sysconfig
Source3: %{name}_clients_dump
Source4: %name.service
Source6: %name.README.ALT
Patch0: postgrey-alt-whitelist-pathes.patch

BuildPreReq: perl perl-base perl-IO-Multiplex perl-Net-Server perl-BerkeleyDB perl-Net-DNS
BuildRequires: perl-NetAddr-IP
BuildRequires: perl-podlators
Requires: perl-IO-Multiplex
Requires: perl-Pod-Spell

%description
Postgrey is a Postfix policy server implementing greylisting.
When a request for delivery of a mail is received by Postfix
via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT is built.
If it is the first time that this triplet is seen, or if the
triplet was first seen less than 5 minutes, then the mail gets
rejected with a temporary error. Hopefully spammers or viruses
will not try again later, as it is however required per RFC.
Edit your configuration files:
Or if TCP sockets (modify IP / port if needed) is preferred, first change
POSTGREY_TYPE:

/etc/sysconfig/postgrey:

  POSTGREY_TYPE="--inet=127.0.0.1:10023"

then modify postfix configuration file:

/etc/postfix/main.cf:

  smtpd_recipient_restrictions = ...
    check_policy_service inet:127.0.0.1:10023, ...

%prep
%setup
%patch0 -p2

%install
# directories
install -pd -m1711 %buildroot%postgrey_home
install -d -m1755 %buildroot/run/%name

# binaries
install -pD -m0755 %name %buildroot%_sbindir/%name
install -pD -m0755 contrib/postgreyreport %buildroot%_sbindir/postgreyreport
install -m0755 %SOURCE3 %buildroot%_sbindir/%{name}_clients_dump

# initscript and sysconfig-file
install -pD -m0755 %SOURCE1 %buildroot%_initdir/%name
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
install -pD -m0644 %SOURCE4 %buildroot%_unitdir/%name.service

# whitelists
install -pD -m0644 postgrey_whitelist_clients %buildroot%_sysconfdir/%name/whitelist_clients
install -pD -m0644 postgrey_whitelist_recipients %buildroot%_sysconfdir/%name/whitelist_recipients
touch %buildroot%_sysconfdir/%name/whitelist_clients.local

# README.ALT
install -pD -m0644 %SOURCE6 README.ALT

# manpages
pod2man %name >%name.1
install -pD -m0644 %name.1 %buildroot%_man1dir/%name.1
pod2man contrib/postgreyreport > postgreyreport.1
install -pD -m0644 postgreyreport.1  %buildroot%_man1dir/postgreyreport.1

%pre
/usr/sbin/groupadd -r -f %postgrey_group ||:
/usr/sbin/useradd -g %postgrey_group -c 'The Postgrey Daemon' \
        -d %postgrey_home -s /dev/null -r %postgrey_user >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%doc README* Changes
%_sbindir/*
%_initdir/%name
%_unitdir/%name.service
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/%name/*
%dir %attr(1771,root,%postgrey_group) %postgrey_home
%dir %attr(1775,root,%postgrey_group) /run/%name
%_man1dir/*

%changelog
