%define _unpackaged_files_terminate_build 1
%define pypi_name amqp

%def_with check

Name: python3-module-%pypi_name
Version: 5.1.1
Epoch: 1
Release: alt1
Group: Development/Python3
License: BSD
Summary: Low-level AMQP client for Python
URL: https://pypi.org/project/amqp/
VCS: http://github.com/celery/py-amqp.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3

# build backend and its deps
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
# deps
BuildRequires: python3(vine)

BuildRequires: python3(pytest)
%endif

BuildArch: noarch

%description
This is a fork of amqplib_ which was originally written by Barry Pederson.
It is maintained by the Celery_ project, and used by kombu as a pure python
alternative when librabbitmq is not available.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
# override upstream's config (it's too much to patch)
%tox_create_default_config
%tox_check_pyproject -- -vra t/unit

%files
%doc AUTHORS Changelog LICENSE README.rst
%python3_sitelibdir/amqp/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
