%define _unpackaged_files_terminate_build 1
%define pypi_name testtools
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 2.6.0
Release: alt1.1
Summary: Extensions to the Python standard library's unit testing framework
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/testtools/
Vcs: https://github.com/testing-cabal/testtools
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
%add_python3_req_skip twisted
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%pyproject_builddeps_metadata_extra twisted
# tests are subpackaged
BuildRequires: python3-module-twisted-core-tests
%endif

%description
testtools is a set of extensions to the Python standard library's unit
testing framework. These extensions have been derived from years of
experience with unit testing in Python and come from many different
sources.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

# remove import of distutils.dist
rm -rv %buildroot%python3_sitelibdir/%mod_name/tests/test_distutilscmd.py

%check
%pyproject_run -- python -m testtools.run testtools.tests.test_suite

%files
%doc LICENSE NEWS README*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
