Name:    task-edu
Version: 1.7.3
Release: alt1

Summary(ru_RU.UTF-8): Базовый образовательный комплект
Summary: Educational software (base set)
License: GPL-3.0+
Group:   Education

URL:     http://altlinux.org/education

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-macros-qt6-webengine
BuildRequires(pre): rpm-macros-qt5-webengine

# Education (base part)
Requires: task-edu-lite = %EVR
%ifarch x86_64 aarch64
Requires: blender
%endif
Requires: clamav
Requires: clamav-db
Requires: clamtk
Requires: dosbox
%ifarch %ix86 x86_64
Requires: freebasic
Requires: fpc
Requires: fpc-ide
Requires: pascalabcnet
Requires: kchmviewer
%endif
Requires: brasero
%ifarch %ix86 x86_64 %e2k
Requires: veyon
%endif
# Big educational software
%ifarch %ix86 x86_64
Requires: lazarus
Requires: gambas-full
%endif

%description
%{summary}.

%package lite
Summary(ru_RU.UTF-8): Базовый набор образовательного ПО, облегчённый для rootfs
Summary: Basic set of educational software, lightweight for rootfs
Group: Education
# Education (base part)
Requires: audacity
Requires: bluefish
Requires: codeblocks
Requires: codeblocks-contrib
Requires: dia
%ifnarch %e2k %ix86 ppc64le armh
Requires: calibre
Requires: goldendict-ng
%else
Requires: stardict
%endif
Requires: dict-mueller7-utf8
Requires: gcc
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
Requires: java-devel
Requires: kdenlive
Requires: scribus
%ifnarch %e2k
Requires: shotwell
%endif
Requires: logisim
Requires: basic256
Requires: geany
Requires: geany-themes
%ifnarch %e2k
Requires: geany-plugins
%else
Requires: freemind
%endif
Requires: gnome-games-klotski
Requires: gnome-games-mahjongg
%ifnarch %e2k
Requires: gnome-games-aisleriot
%endif
Requires: xsane
Requires: xsane-doc-ru
Requires: simple-scan
%ifnarch armh
Requires: imagination
%endif
Requires: connector
Requires: fonts-otf-mozilla-fira
Requires: itest
Requires: kumir2
# Big educational software
%if_with fortran
Requires: octave
%endif
Requires: gnuplot-qt
%ifnarch ppc64le
Requires: wxMaxima
%endif
# OCR
Requires: gimagereader-gtk
Requires: tesseract
Requires: tesseract-langpack-ru
Requires: tesseract-langpack-en
# localization
Requires: qt5-translations
%ifnarch %e2k %not_qt6_qtwebengine_arches
Requires: khelpcenter
%endif
# Content filter and antivirus
Requires: netpolice-filter
Requires: netpolice-main
# For Skydns
%ifnarch %e2k
Requires: ddclient
%endif
Requires: perl-IO-Socket-SSL
# For search exercises
Requires: docx2txt odt2txt
# Mass management and remote assistance
%ifnarch %e2k
Requires: puppet
%endif
%ifarch x86_64 aarch64
Requires: x11spice
Requires: openssh-server
%endif
# LibreOffice
%ifnarch %e2k
%define lo_name LibreOffice-still
%else
%define lo_name LibreOffice
%endif
%ifnarch armh
Requires: %{lo_name}-extensions
Requires: %{lo_name}-integrated
Requires: %{lo_name}-gtk3
Requires: %{lo_name}-langpack-ru
Requires: libreoffice-languagetool
%endif
Requires: mythes-ru
Requires: hyphen-ru
Requires: gst-plugins-bad
Requires: gst-plugins-ugly
Requires: pentaho-reporting-flow-engine
Requires: perl-DBD-mysql
Requires: postgresql-jdbc
Requires: mysql-connector-java
# Mozilla
%ifnarch armh
Requires: thunderbird
%endif
%description lite
%{summary}.

%package tools
Summary(ru_RU.UTF-8): Вспомогательные программы для Альт Образование
Summary: Utilities for ALT Education
Group: Other
%ifnarch %e2k armh
Requires: grub-customizer
%endif
# Electronic board support
%ifarch %ix86 x86_64
Requires: starboard-preinstall
%endif
%ifarch %ix86 x86_64
Requires: bumblebee
%endif
%ifarch %ix86 x86_64
Requires: virtualbox-guest-utils
Requires: xorg-dri-intel
%endif
%ifnarch armh
Requires: adp
%endif
%ifarch %e2k
Requires: rtc
%endif
%description tools
%{summary}.

%package preschool
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (дошкольное образование)
Summary: Educational software (preschool)
Group: Education
Requires: gcompris-qt
Requires: gcompris-qt-voices-ru
# wait for python3 version
#Requires: childsplay
#Requires: childsplay-alphabet_sounds_ru
Requires: tuxpaint
Requires: khangman
Requires: kanagram
# localization
Requires: qt5-translations
%ifnarch %e2k %not_qt6_qtwebengine_arches
Requires: khelpcenter
%endif
%description preschool
%{summary}.

%package highschool
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (cредняя школа)
Summary: Educational software (highschool)
Group: Education
Provides: %name-gradeschool = %EVR
Obsoletes: %name-gradeschool < %EVR
Requires: task-edu = %EVR
Requires: kumir2
Requires: codeblocks
Requires: kolourpaint
%ifarch %ix86 x86_64
Requires: lazarus
Requires: openscad
%endif
%ifarch %ix86 x86_64 %e2k
Requires: synfigstudio
%endif
Requires: dia
Requires: trikStudio
Requires: marble
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: bluefish
Requires: afce
# localization
Requires: qt5-translations
%ifarch %ix86 %e2k
Requires: scratch
%endif
%ifarch x86_64 aarch64
Requires: scratch-desktop
%endif
%ifnarch %e2k
Requires: qcad
Requires: trikStudioJunior
%endif
%ifnarch %e2k %not_qt6_qtwebengine_arches
Requires: khelpcenter
%endif
%ifarch x86_64 aarch64
Requires: freecad
%endif
Requires: python3-tools
Requires: pip
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: gcompris-qt
Requires: gcompris-qt-voices-ru
Requires: ktouch
Requires: kbruch
Requires: abiword
Requires: afce
%description highschool
%{summary}.

%package secondary-vocational
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (среднее профессиональное образование)
Summary: Educational software (secondary vocational)
Group: Education
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
%ifarch x86_64 aarch64 %e2k
Requires: blender
%endif
Requires: scribus
Requires: codeblocks
%ifarch %ix86 x86_64
Requires: lazarus
#Requires: scilab
%endif
%ifarch x86_64 aarch64
Requires: freecad
%endif
%ifnarch %e2k armh ppc64le
Requires: qcad
%endif
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: octave
Requires: gnuplot-qt
%ifnarch %e2k %ix86 armh ppc64le
Requires: qt-creator
Requires: qt-creator-doc
%endif
Requires: cmake
Requires: ninja-build
Requires: qt5-base-devel
Requires: qt5-base-doc
#Requires: Eclipse
#Requires: Texmacs
Requires: logisim
Requires: fritzing
Requires: projectlibre
Requires: python3-tools
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: pip
%description secondary-vocational
%{summary}.

%package university
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (высшее образование)
Summary: Educational software (university)
Group: Education
Requires: inkscape
Requires: gimp
Requires: gimp-help-ru
%ifarch x86_64 aarch64
Requires: blender
%endif
Requires: scribus
Requires: codeblocks
%ifnarch %e2k %ix86 armh ppc64le
Requires: qt-creator
Requires: qt-creator-doc
%endif
Requires: cmake
Requires: ninja-build
Requires: qt5-base-devel
Requires: qt5-base-doc
#Requires: Eclipse
%ifarch %ix86 x86_64
Requires: lazarus
Requires: gambas-full
Requires: openscad
#Requires: scilab
%endif
Requires: swi-prolog
#Requires: Texmacs
%ifnarch ppc64le
Requires: wxMaxima
%endif
Requires: octave
Requires: gnuplot-qt
%ifnarch %e2k
Requires: qcad
%endif
%ifarch x86_64 aarch64
Requires: freecad
%endif
%ifnarch %e2k %ix86 armh ppc64le
Requires: qgis
Requires: qgis-grass
Requires: qgis-python
%endif
Requires: projectlibre
Requires: openmpi
Requires: fritzing
Requires: python3-tools
Requires: python3-module-pygame
Requires: python3-module-pygame-doc
Requires: python3-modules-curses
Requires: pip
%description university
%{summary}.

%package xfce
Summary(ru_RU.UTF-8): Среда XFCE для Альт Образование
Summary: XFCE for Alt Education
Group: Education
# slinux/base
Requires: xfce4-full
Requires: thunar-shares-plugin
Requires: xfce4-screensaver
Requires: libcanberra-gtk2
Requires: alacarte
Requires: screenkey
# Graphics
Requires: atril-gtk
Requires: atril-gtk-djvu
Requires: atril-gtk-pixbuf
Requires: atril-gtk-xps
# Append all modules from xscreensaver                                                        
Requires: desktop-screensaver-modules-xscreensaver
Requires: desktop-screensaver-modules-xscreensaver-gl
# Package managenment                                                                         
Requires: synaptic
Requires: synaptic-usermode
# Menu
Requires: altlinux-freedesktop-menu-shallow-menu
Requires: altlinux-freedesktop-menu-mate-like-menu
Requires: altlinux-freedesktop-menu-icon-theme-default
%ifarch %e2k
# better optimized for 8C
Requires: mplayer
%endif
%ifarch x86_64
Requires: libva-driver-intel
Requires: libva-intel-media-driver
Requires: vulkan-amdgpu
%endif
# Multimedia                                                                                  
Requires: vlc-maxi
Requires: simplescreenrecorder
Requires: quick-usb-formatter
#ifnarch armh
Requires: %{lo_name}-gtk3
#endif
%ifnarch %e2k ppc64le
Requires: nextcloud-client
%endif
Requires: branding-alt-education-xfce-settings
Requires: xdg-user-dirs-gtk
Requires: libgtk2-engine-adwaita
Requires: parted
Requires: xorg-drv-synaptics
Requires: xorg-conf-synaptics
Requires: xinput
Requires: xorg-drv-libinput
%ifnarch %not_qt5_qtwebengine_arches
Requires: altcenter
%endif
%description xfce
%{summary}.

%package kde
Summary(ru_RU.UTF-8): Среда KDE для Альт Образование
Summary: KDE for Alt Education
Group: Education
Requires: kde-network-manager-nm
Requires: kde
Requires: krfb
Requires: parley
Requires: kanagram
Requires: khangman
Requires: kwordquiz
Requires: kturtle
Requires: marble
Requires: step
Requires: kig
Requires: kmplot
Requires: kalgebra
Requires: cantor
Requires: rocs
Requires: kbruch
Requires: kgeography
Requires: ktouch
Requires: minuet
Requires: kde-runtime
Requires: kde-printing
Requires: kde-scanning
Requires: kdeconnect
#ifnarch armh
Requires: %{lo_name}-kde6
#endif
%ifnarch %e2k ppc64le
Requires: nextcloud-client-kde
%endif
Requires: branding-alt-education-kde-settings
# Append all modules from xscreensaver                                                        
Requires: desktop-screensaver-modules-xscreensaver
Requires: desktop-screensaver-modules-xscreensaver-gl
# Package managenment                                                                         
Requires: synaptic
Requires: synaptic-usermode
# Menu
Requires: altlinux-freedesktop-menu-shallow-menu
Requires: altlinux-freedesktop-menu-mate-like-menu
Requires: altlinux-freedesktop-menu-icon-theme-default
%ifarch %e2k
# better optimized for 8C
Requires: mplayer
%endif
%ifarch x86_64
Requires: libva-driver-intel
Requires: libva-intel-media-driver
Requires: vulkan-amdgpu
%endif
# Multimedia                                                                                  
Requires: simplescreenrecorder
Requires: quick-usb-formatter
%ifnarch %not_qt5_qtwebengine_arches
Requires: altcenter
%endif
%description kde
%{summary}.

%package teacher
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (для учителей)
Summary: Software for teachers
Group: Education
%ifnarch armh
Requires: veyon
%endif
Requires: itest-server
Requires: ansible
%ifnarch %e2k armh
Requires: semaphore
%endif
Requires: virt-viewer
%ifnarch loongarch64 ppc64le
Requires: OpenBoard
%endif
Requires: touchegg
%description teacher
%{summary}.

%package server-apps
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (серверные приложения)
Summary: Server applications for education
Group: Education
%ifnarch %e2k armh
Requires: semaphore
%endif
Requires: mariadb-server
Requires: mariadb-client
Requires: nano
Requires: dansguardian
Requires: perl-DBD-mysql
#Requires: ejudge
Requires: ejabberd
Requires: alterator-datetime
Requires: alterator-console
Requires: apache2
Requires: apache2-httpd-worker
#Requires: installed-db-office-server-mediawiki
Requires: installed-db-office-server-nextcloud
Requires: installed-db-office-server-moodle
Requires: moodle-qtype_coderunner
Requires: alt-domain-server
Requires: alterator-fbi
#Requires: alterator-bacula
Requires: alterator-ca
Requires: alterator-bind
Requires: alterator-dhcp
Requires: alterator-firsttime
Requires: alterator-kdc
Requires: alterator-ldap-groups
Requires: alterator-ldap-users
Requires: alterator-mirror
Requires: alterator-net-domain
Requires: alterator-net-eth
Requires: alterator-net-pppoe
Requires: alterator-net-pptp
%ifarch %ix86 x86_64
Requires: alterator-netinst
%endif
Requires: alterator-net-openvpn
Requires: alterator-net-routing
Requires: alterator-net-bond
Requires: alterator-net-bridge
Requires: alterator-net-iptables
Requires: alterator-openldap
Requires: alterator-openvpn-server
Requires: alterator-squid
Requires: alterator-squidmill
Requires: alterator-quota
Requires: alterator-trust
Requires: alterator-vsftpd
Requires: alterator-xinetd
Requires: alterator-postfix-dovecot
Requires: alterator-ulogd
Requires: anonftp
Requires: samba4
Requires: xauth
# Terminal services
Requires: xrdp
Requires: pulseaudio-module-xrdp
%ifarch %ix86 x86_64
Requires: docker-ce
Requires: lsb
%endif
Requires: tcpdump
%description server-apps
%{summary}.

%package video-conferencing
Summary(ru_RU.UTF-8): Образовательное программное обеспечение (сервер видеоконференций)
Summary: Video-conferencing server for education
Group: Education
Requires: prosody
Requires: jitsi-meet-doc
Requires: jitsi-meet-prosody
Requires: jitsi-meet-web
Requires: jitsi-meet-web-config
Requires: jitsi-videobridge
%ifarch x86_64
Requires: jicofo
%endif
%description video-conferencing
%{summary}.

%package school
Summary(ru_RU.UTF-8): Образовательное программное обеспечение для школ
Summary: Complete list of education software for schools
Group:   Education
Requires: task-edu
Requires: task-edu-gradeschool
Requires: task-edu-highschool
Requires: task-edu-teacher
%description school
%{summary}.

%files

%files lite

%files tools

%files preschool

%files highschool
 
%files secondary-vocational

%files university

%files xfce

%ifnarch %e2k
%files kde
%endif

%files teacher

%files server-apps

%ifnarch %e2k %ix86 armh ppc64le
#files video-conferencing
%endif

%files school

%changelog
