%def_enable git
%def_enable subversion

Name: thunar-vcs-plugin
Version: 0.4.0
Release: alt1

Summary: Version Contol System plugin for Thunar
License: GPL-2.0-or-later
Group: Graphical desktop/XFce

Url: https://docs.xfce.org/xfce/thunar/thunar-vcs-plugin
Vcs: https://gitlab.xfce.org/thunar-plugins/thunar-vcs-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): meson rpm-macros-meson >= 1.3.1-alt1
BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libthunar-devel >= 4.18.0 libgio-devel libxfce4util-devel libexo-gtk3-devel
BuildRequires: libxfce4ui-gtk3-devel >= 4.18.0
BuildRequires: libgtk+3-devel
%if_enabled subversion
BuildRequires: libapr1-devel libsubversion-devel libaprutil1-devel
%endif

%define _unpackaged_files_terminate_build 1

%description
The Thunar VCS Plugin provides a svn and git intergration to Thunar.
It allows you to do most of the svn and git actions from the context
menu. It also shows the svn file status in the file properties window.

%prep
%setup
%patch -p1

%build
%meson \
	%{subst_enable_meson_feature subversion svn} \
	%{subst_enable_meson_feature git git}

%meson_build -v

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog
%_libexecdir/tvp-*
%_libdir/thunarx-*/*.so
%_iconsdir/hicolor/*/*/*.png

%changelog
