Name: xfce4-sensors-plugin
Version: 1.5.0
Release: alt1

Summary: Sensors plugin for Xfce Desktop
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-sensors-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-sensors-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

%ifarch %ix86 x86_64
%def_enable xnvctrl
%else
%def_disable xnvctrl
%endif

BuildRequires(pre): meson rpm-macros-meson >= 1.3.1-alt1
BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: gcc-c++
BuildRequires: libxfce4panel-gtk3-devel >= 4.16.0 libxfce4ui-gtk3-devel >= 4.16.0 libxfce4util-devel >= 4.17.2
BuildRequires: hddtemp libsensors3-devel libnotify-devel
%{?_enable_xnvctrl:BuildRequires: nvidia-settings-devel}

Requires: xfce4-panel >= 4.17 hddtemp lm_sensors3

%define _unpackaged_files_terminate_build 1

%description
%name

%prep
%setup
%patch -p1

%build
%meson \
	-Dhddtemp=enabled \
	-Dhddtemp-path=/usr/sbin/hddtemp \
	-Dnetcat=disabled \
	-Dlibsensors=enabled \
	-Dprocacpi=enabled \
	-Dsysfsacpi=enabled \
	%{subst_enable_meson_feature xnvctrl xnvctrl} \
	-Dlibnotify=enabled

%meson_build -v

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc NEWS AUTHORS
%_bindir/*
%_desktopdir/*.desktop
%_iconsdir/*/*/*/*
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_datadir/xfce4/panel/plugins/%name.css
%_man1dir/xfce4-sensors.1*

%changelog
